<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layoutadmin}">
<head>
  <meta charset="UTF-8">
  <title>Generate</title>
</head>
<body>
<div layout:fragment="main">
  <div class="header bg-gradient-primary pb-8 pt-5 pt-md-8">
    <div class="container-fluid">
      <div class="header-body">
        <!-- Card stats -->
        <div class="row">
          <div class="col-xl-12 col-lg-12">
            <div class="card card-stats mb-4 mb-xl-0">
              <div class="card-body">
                <div class="row">
                  <div class="col">
                    <h5 class="card-title text-uppercase text-muted mb-0">Form</h5>
                    <span class="h2 font-weight-bold mb-0">Generate Tagihan Beasiswa</span>
                  </div>
                  <div class="col-auto">
                    <div class="icon icon-shape bg-gradient-blue text-white rounded-circle shadow">
                      <i class="fas fa-calendar"></i>
                    </div>
                  </div>
                </div>

              </div>
            </div>
          </div>

        </div>
      </div>
    </div>
  </div>

  <div class="container-fluid mt--7">
    <div class="row">
      <div class="col-md-12 col-xs-12">
        <div class="card shadow">
          <div class="card-header border-0">
            <h3 class="mb-0">Form</h3>
          </div>
          <div class="card-body">
            <form method="get">
              <div class="row">
                <div class="col-md-3">
                  <div class="form-group">
                    <label>Beasiswa</label>
                    <select name="beasiswa" required class="form-control">
                      <option value=""></option>
                      <option th:each="data : ${beasiswa}"
                              th:selected="(${data} == *{selectBeasiswa})"
                              th:text="${data.namaBeasiswa}"
                              th:value="${data.id}">STEI TAZKIA</option>
                    </select>
                  </div>
                </div>
                <div class="col-md-3">
                  <div class="form-group">
                    <label>Program</label>
                    <select name="program" id="" class="form-control">
                      <option value=""></option>
                      <option th:each="data : ${program}"
                              th:selected="(${data} == *{selectProgram})"
                              th:text="${data.namaProgram}"
                              th:value="${data.id}">Reguler</option>
                    </select>
                  </div>
                </div>
                <div class="col-md-3">
                  <div class="form-group">
                    <label>Angkatan</label>
                    <select name="angkatan" required class="form-control">
                      <option value=""></option>
                      <option th:each="data : ${angkatan}"
                              th:selected="(${data} == *{selectAngkatan})"
                              th:text="${data}"
                              th:value="${data}">STEI TAZKIA</option>
                    </select>
                  </div>
                </div>
                <div class="col-md-3">
                  <div class="form-group">
                    <label>Tahun Akademik</label>
                    <select name="tahunAkademik" required class="form-control">
                      <option value=""></option>
                      <option th:each="data : ${tahunAkademik}"
                              th:selected="(${data} == *{selectTahun})"
                              th:text="${data.namaTahunAkademik}"
                              th:value="${data.id}">STEI TAZKIA</option>
                    </select>
                  </div>
                </div>
              </div>
              <div class="row">
                <div class="col-md-12" style="text-align: center">
                  <div class="form-group">
                    <button type="submit" class="btn btn-primary"><i class="fa fa-search"></i> Search</button>
                  </div>
                </div>
              </div>
            </form>

            <div class="card-shadow" th:if="${selectBeasiswa != null && selectProgram != null && selectAngkatan != null && selectTahun != null || (id != null && !id.isEmpty())}">
              <!--                            <div class="row">-->
              <!--                                <div class="text-center col-md-12 mb-4">-->
              <!--                                    <a class="btn btn-success" th:href="@{/studentBill/billAdmin/form( prodi = ${selectProdi.id})}"><i class="fa fa-plus"></i> One Student Added</a>-->
              <!--                                </div>-->
              <!--                            </div>-->
              <form method="post" th:action="@{/studentBill/scholarship/generate(beasiswa=${selectBeasiswa.id}, program=${selectProgram.id}, angkatan=${selectAngkatan}, tahun=${selectTahun.id})}">
                <div class="col">
                  <div class="form-group text-center">
                    <button type="submit" class="btn btn-success"><i class="fa fa-download"></i> Generate</button>
                  </div>
                </div>
              </form>
            </div>
          </div>
        </div>

<!--        <div class="card shadow" th:if="${selectBeasiswa != null && selectProgram != null && selectAngkatan != null && selectTahun != null || (id != null && !id.isEmpty())}">-->
<!--          <div class="card-header border-0">-->

<!--          </div>-->
<!--          <div class="card-body">-->
<!--            <div class="card-shadow">-->
<!--              <div class="row">-->
<!--                <div class="col-md-12">-->
<!--                  <div class="table-responsive">-->
<!--                    <table id="data-table-basic" class="table align-items-center table-flush table-striped">-->
<!--                      <thead class="thead-light">-->
<!--                      <tr>-->
<!--                        <th class="text-center">#</th>-->
<!--                        <th>Angkatan</th>-->
<!--                        <th>Nim</th>-->
<!--                        <th>Nama</th>-->
<!--                        <th>Beasiswa</th>-->
<!--                        <th>Program</th>-->
<!--                        <th>Tagihan</th>-->
<!--                        <th>Beasiswa</th>-->
<!--                      </tr>-->
<!--                      </thead>-->
<!--                      <tbody>-->
<!--                      <tr th:each="data, row:${lTagihan}">-->
<!--                        <td th:text="${(row.index + 1)}">1</td>-->
<!--                        <td th:text="${data[0]}"></td>-->
<!--                        <td th:text="${data[1]}"></td>-->
<!--                        <td th:text="${data[2]}"></td>-->
<!--                        <td th:text="${data[3]}"></td>-->
<!--                        <td th:text="${data[4]}"></td>-->
<!--                        <td th:text="${'Rp. ' + #numbers.formatDecimal(data[5], 0, 'POINT', 2, 'COMMA')}"></td>-->
<!--                        <td th:text="${data[6]}"></td>-->
<!--                        &lt;!&ndash; <td th:text="${'Rp. ' + #numbers.formatDecimal(data[6], 0, 'POINT', 2, 'COMMA')}"></td>&ndash;&gt;-->
<!--                        &lt;!&ndash;                                                <td th:text="${'Rp. ' + #numbers.formatDecimal(data[7], 0, 'POINT', 2, 'COMMA')}"></td>&ndash;&gt;-->
<!--                      </tr>-->
<!--                      </tbody>-->
<!--                    </table>-->
<!--                  </div>-->
<!--                </div>-->

<!--              </div>-->
<!--            </div>-->
<!--          </div>-->
<!--        </div>-->
      </div>
    </div>
  </div>
</div>
</body>
</html>